/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\shimering effusion\mobiles\Ferret.cs
Lines of code: 60
***********************************************************/


using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a ferret corpse" )]
	public class Ferret : BaseCreature
	{

		[Constructable]
		public Ferret() : base( AIType.AI_Melee, FightMode.Aggressor, 10, 1, 0.12, 0.19 )
		{
			Name = "a ferret";
			Body = 279;
			BaseSoundID = 0x188;
			
			SetStr( 45, 48 );
			SetDex( 55 );
			SetInt( 75 );

			SetHits( 45, 50 );
			SetStam( 55 );
			SetMana( 75 );

			SetDamage( 2, 4 );

			SetDamageType( ResistanceType.Physical, 100 );

			//default resists
			SetResistance( ResistanceType.Physical, 45, 50 );
			SetResistance( ResistanceType.Fire, 10, 14 );
			SetResistance( ResistanceType.Cold, 35, 40 );
			SetResistance( ResistanceType.Poison, 21, 25 );
			SetResistance( ResistanceType.Energy, 20, 25 );
			
			//default skills			
			SetSkill( SkillName.MagicResist, 4.0 );
			SetSkill( SkillName.Tactics, 4.0 );
			SetSkill( SkillName.Wrestling, 4.0 );

			Fame = 500;
			Karma = 100;

			VirtualArmor = 18;			

			Tamable = true;
			ControlSlots = 1;
			MinTameSkill = 34.6;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Poor,3 );
			AddLoot( LootPack.Gems, 2 );
		}

		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 1; } }
		public override bool IsMLCreature { get { return true;} }
		public override FoodType FavoriteFood{ get{ return FoodType.Fish; } }

		public Ferret(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}